//
//  VS<$prefix$>Contracts.h
//  <$projectName$>
//
//  Created by <$orgName$> on <$now$>..
//  Copyright © <$year$>년 Vendys. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "VS<$prefix$>VO.h"

// presenter 클래스가 구현해야 할 프로토콜 : view 클래스가 호출
@protocol I<$prefix$>PresenterForView <NSObject>
@end

// view 클래스가 구현해야 할 프로토콜 : presenter 클래스가 호출
@protocol I<$prefix$>ViewForPresenter <NSObject>
@end

// interactor 클래스가 구현해야 할 프로토콜 : presenter 클래스가 호출
@protocol I<$prefix$>InteractorForPresenter <NSObject>
@end

// presenter 클래스가 구현해야 할 프로토콜 : interactor 클래스가 호출
@protocol I<$prefix$>PresenterForInteractor <NSObject>
@end

// router 클래스가 구현해야 할 프로토콜 : 외부 viper 모듈에서 호출
@protocol I<$prefix$>Router <NSObject>
+ (UIViewController *)create<$prefix$>Module;
@end