//
//  VS<$prefix$>Contracts.swift
//  <$projectName$>
//
//  Created by <$orgName$> on <$now$>..
//  Copyright © <$year$>년 Vendys. All rights reserved.
//

import Foundation
import UIKit

// presenter 클래스가 구현해야 할 프로토콜 : view 클래스가 호출
protocol I<$prefix$>PresenterForView: class {

}

// view 클래스가 구현해야 할 프로토콜 : presenter 클래스가 호출
protocol I<$prefix$>ViewForPresenter: class {

}

// interactor 클래스가 구현해야 할 프로토콜 : presenter 클래스가 호출
protocol I<$prefix$>InteractorForPresenter: class {

}

// presenter 클래스가 구현해야 할 프로토콜 : interactor 클래스가 호출
protocol I<$prefix$>PresenterForInteractor: class {

}

// router 클래스가 구현해야 할 프로토콜 : 외부 viper 모듈에서 호출
protocol I<$prefix$>Router: class {
    static func create<$prefix$>Module(vo: VS<$prefix$>VO) -> UIViewController?
    func moveToBack(viewController: UIViewController, completionBlock:(() -> Void)?)
}
