//
//  VS<$prefix$>VO.swift
//  <$projectName$>
//
//  Created by <$orgName$> on <$now$>..
//  Copyright © <$year$>년 Vendys. All rights reserved.
//

import Foundation
import UIKit

class VS<$prefix$>Router: I<$prefix$>Router {
    static func create<$prefix$>Module(vo: VS<$prefix$>VO) -> UIViewController? {
        // get storyboard with name
        let storyBoard: UIStoryboard = UIStoryboard.init(name: "VS<$prefix$>", bundle: nil)
        
        // create specific module
        guard let view: VS<$prefix$>ViewController = storyBoard.instantiateViewController(withIdentifier: "VS<$prefix$>ViewController")
                as? VS<$prefix$>ViewController else {
            return nil
        }
        
        let presenter: VS<$prefix$>Presenter = VS<$prefix$>Presenter()
        let interactor: VS<$prefix$>Interactor = VS<$prefix$>Interactor(vo: vo)
        let router: VS<$prefix$>Router = VS<$prefix$>Router()
        
        view.presenter = presenter
        view.modalPresentationStyle = UIModalPresentationStyle.fullScreen
        
        presenter.view = view
        presenter.interactor = interactor
        presenter.router = router
        interactor.presenter = presenter
        
        return view

    }

    func moveToBack(viewController: UIViewController, completionBlock:(() -> Void)?) {
        <#fill your code...#>
    }
}
